Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 573824 - dev-python/numpy-1.10.4: fails to build on uclibc-ng due to a bug in numpy
Summary: dev-python/numpy-1.10.4: fails to build on uclibc-ng due to a bug in numpy
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL: https://github.com/numpy/numpy/issues...
Whiteboard:
Keywords:
Depends on:
Blocks: uclibc-porting
  Show dependency tree
 
Reported: 2016-02-04 09:55 UTC by Anthony Basile
Modified: 2019-12-01 12:36 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Basile gentoo-dev 2016-02-04 09:55:10 UTC
While I hit the problem on a uclibc system, the issue is in numpy and I've opened a bug upstream.  The problem is that their commit c15f7747 did a bunch of code cleanups that moved #ifndef HAVE_CEXP@C@ ... #endif in numpy/core/src/npymath/npy_math_complex.c.src to cover a function definition that's called outside the #ifndef.  The problem is triggered on any systems where HAVE_CEXP@C@ is not defined (for some substituion of @C@).

While the upstream bug is being fixed, can we have an epatch_user added to dev-python/numpy-1.10.4 which is currently being stabilized so that it doesn't cause havoc with uclibc systems.  I have a temporary workaround.
Comment 1 Justin Lecher gentoo-dev 2016-02-04 10:10:03 UTC
commit ac9ac2fafdadacecb793e0087e5ef82ea7247fc5
Author: Justin Lecher <jlec@gentoo.org>
Date:   Thu Feb 4 11:09:36 2016 +0100

    dev-python/numpy: Add epatch_user() call

    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573824

    Package-Manager: portage-2.2.27
    Signed-off-by: Justin Lecher <jlec@gentoo.org>

    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac9ac2fafdadacecb793e0087e5ef82ea7247fc5
Comment 2 Anthony Basile gentoo-dev 2016-02-08 09:29:01 UTC
(In reply to Justin Lecher from comment #1)
> commit ac9ac2fafdadacecb793e0087e5ef82ea7247fc5
> Author: Justin Lecher <jlec@gentoo.org>
> Date:   Thu Feb 4 11:09:36 2016 +0100
> 
>     dev-python/numpy: Add epatch_user() call
> 
>     Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573824
> 
>     Package-Manager: portage-2.2.27
>     Signed-off-by: Justin Lecher <jlec@gentoo.org>
> 
>    
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=ac9ac2fafdadacecb793e0087e5ef82ea7247fc5

Upstream looks like they have a huge backlog of bugs.  I'm pretty sure of my analysis, but the correct fix may not be easy.  I don't think upstream is going to get around to this or any bug any time soon.  Carrying epatch_user() forward might be wise for this package.
Comment 3 Nikita Gillmann 2016-10-20 15:27:03 UTC
8 months later this is still not addressed upstream, at least the bug ticket is still open and a new uclibc-ng hardened system still breaks with numpy.

Can we include a patch for this to fix it until upstream has fixed the bug?
Comment 4 David Seifert gentoo-dev 2016-10-20 15:30:02 UTC
(In reply to N. "ng0" Gillmann from comment #3)
> 8 months later this is still not addressed upstream, at least the bug ticket
> is still open and a new uclibc-ng hardened system still breaks with numpy.
> 
> Can we include a patch for this to fix it until upstream has fixed the bug?

Fine with me, @blueness, will you add it? If possible, don't revbump the ebuild, as 99% of users aren't affected it by this.
Comment 5 Nikita Gillmann 2016-10-20 16:45:46 UTC
This patch still applies to numpy-1.10.4 and it seems to compile the graph for git now.
https://github.com/numpy/numpy/issues/7182#issue-131293676